ResourceBundle::get
Grapheme Functions
ResourceBundle
PHP Manual

# ResourceBundle::getLocales

# resourcebundle_locales

(No version information available, might only be in SVN)

ResourceBundle::getLocales -- resourcebundle_locales — Get supported locales

### Description

Object oriented style

array ResourceBundle::getLocales ( void )

Procedural style

array resourcebundle_locales ( ResourceBundle `$r` )

Get the list of locales supported by the bundle. The list is taken from the bundle table named `res_index` which should contain a table named `InstalledLocales`, which contains locales as keys. This bundle should be either in data directory as .res file or part of the .dat file for this function to work.

### Parameters

`r`

  ResourceBundle object.

### Return Values

Returns the list of locales supported by the bundle.

### Examples

Example #1 resourcebundle_locales() example

`<?php
$r = resourcebundle_create( 'es', "/usr/share/data/myapp");
echo join("\n", resourcebundle_locales($r));
?>`

Example #2 OO example

`<?php
$r = new ResourceBundle( 'es', "/usr/share/data/myapp");
echo join("\n", $r->getLocales());
?>`

The above example will output:

    es
    root

### See Also

- resourcebundle_get() - Get data from the bundle

ResourceBundle::get
Grapheme Functions
ResourceBundle
PHP Manual